Merge pull request #622 from ohcibi/master

Prefer tee over > to maximize compatibility
diff --git a/nvm.sh b/nvm.sh
index fbbf663..ee13d9d 100644
--- a/nvm.sh
+++ b/nvm.sh
@@ -1448,7 +1448,7 @@
       if [ $? -ne 0 ]; then
         echo "! WARNING: Version '$3' does not exist." >&2
       fi
-      echo "$3" > "$NVM_ALIAS_DIR/$2"
+      echo "$3" | tee "$NVM_ALIAS_DIR/$2"
       if [ ! "_$3" = "_$VERSION" ]; then
         echo "$2 -> $3 (-> $VERSION)"
       else
diff --git "a/test/fast/Aliases/Running \"nvm alias \074aliasname\076 \074target\076\" again should change the target" "b/test/fast/Aliases/Running \"nvm alias \074aliasname\076 \074target\076\" again should change the target"
new file mode 100755
index 0000000..d4a8a2d
--- /dev/null
+++ "b/test/fast/Aliases/Running \"nvm alias \074aliasname\076 \074target\076\" again should change the target"
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+. ../../../nvm.sh
+
+die () { echo $@ ; exit 1; }
+
+if [ -n "$ZSH_VERSION" ]; then
+  # set clobber option in order to test that this does not produce any
+  # incompatibilities
+  setopt noclobber
+fi
+
+nvm alias test-stable-1 0.0.2
+
+nvm alias test-stable-1 | \grep -e "test-stable-1 -> 0.0.2 (-> v0.0.2)" \
+  || die "nvm alias test-stable-1 0.0.2 did not set test-stable-1 to 0.0.2"
+
+nvm alias test-stable-1 0.0.1
+
+nvm alias test-stable-1 | \grep -e "test-stable-1 -> 0.0.1 (-> v0.0.1)" \
+  || die "nvm alias test-stable-1 0.0.1 did not set test-stable-1 to 0.0.1"